{ config, pkgs, lib, ... }:
{
  # Boot drives are defined in ./hardware-configuration.nix

  environment.systemPackages = with pkgs; [ cifs-utils ];

  # Local zfs
  boot = {
    zfs = {
      extraPools = [ "tank" ];
      requestEncryptionCredentials = false;
    };
    supportedFilesystems = [ "zfs" ];
    kernelPackages = config.boot.zfs.package.latestCompatibleLinuxPackages;
  };
  services.zfs.autoScrub = {
    enable = true;
    interval = "Wed *-*-8..14 00:00:00";
  };

}
